<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout">

<head>
    <meta charset="utf-8"/>
    <link rel="apple-touch-icon" sizes="76x76" href="../static/assets/img/apple-icon.png"
          th:href="@{assets/img/apple-icon.png}">
    <link rel="icon" type="image/png" href="../static/assets/img/favicon.png" th:href="@{assets/img/favicon.png}">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"/>
    <title>
        F-Junkies
    </title>
    <meta content='width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0, shrink-to-fit=no'
          name='viewport'/>
    <!--     Fonts and icons     -->
    <link rel="stylesheet" type="text/css"
          href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700|Roboto+Slab:400,700|Material+Icons"/>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/latest/css/font-awesome.min.css">
    <!-- CSS Files -->
    <link href="../static/assets/css/material-dashboard.css?v=2.1.0" rel="stylesheet"
          th:href="@{assets/css/material-dashboard.css?v=2.1.0}"/>
    <link href="../static/assets/css/material-dashboard.min.css" rel="stylesheet"
          th:href="@{assets/css/material-dashboard.min.css}"/>
    <!-- CSS Just for demo purpose, don't include it in your project -->
    <link href="../static/assets/demo/demo.css" rel="stylesheet" th:href="@{assets/demo/demo.css}"/>

    <!--    <script data-require="bootstrap@3.3.2" data-semver="3.3.2" src="//maxcdn.bootstrapcdn.com/bootstrap/3.3.2/js/bootstrap.min.js"></script>-->
    <script data-require="jquery@2.1.3" data-semver="2.1.3" src="http://code.jquery.com/jquery-2.1.3.min.js"></script>

    <script src="moment-2.10.3.js" th:src="@{assets/js/moment-2.10.3.js}"></script>
    <script src="bootstrap-datetimepicker.js" th:src="@{assets/js/bootstrap-datetimepicker.js}"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>



</head>

<body class="off-canvas-sidebar">

<!-- Navbar -->
<nav class="navbar navbar-expand-lg navbar-transparent navbar-absolute fixed-top text-white">
    <div class="container">
        <button class="navbar-toggler" type="button" data-toggle="collapse" aria-controls="navigation-index" aria-expanded="false" aria-label="Toggle navigation">
            <span class="sr-only">Toggle navigation</span>
            <span class="navbar-toggler-icon icon-bar"></span>
            <span class="navbar-toggler-icon icon-bar"></span>
            <span class="navbar-toggler-icon icon-bar"></span>
        </button>
        <div class="collapse navbar-collapse justify-content-end">
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a href="../dashboard.html" class="nav-link" th:href="@{/regular-dashboard}" th:if="${session.get('currentUser')!=null}">
                        <i class="material-icons">dashboard</i> Dashboard
                    </a>
                </li>
                <li class="nav-item ">
                    <a href="../pages/register.html" class="nav-link" th:href="@{/register}" th:if="${session.get('currentUser')==null}">
                        <i class="material-icons">person_add</i> Register
                    </a>
                </li>
                <li class="nav-item ">
                    <a href="../pages/login.html" class="nav-link" th:href="@{/login}" th:if="${session.get('currentUser')==null}">
                        <i class="material-icons">fingerprint</i> Login
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" th:href="@{/logout}" th:if="${session.get('currentUser')}">
                        <i class="material-icons">logout</i>
                        <span class="sidebar-normal"> Logout </span>
                    </a>
                </li>
            </ul>
        </div>
    </div>
</nav>
<!-- End Navbar -->
<div class="wrapper wrapper-full-page">
    <div class="page-header pricing-page header-filter" style="background-image: url('../../assets/img/register.jpg')">
        <div class="container" th:if="${session.get('currentUser')==null}">
            <div class="row">
                <div class="col-md-6 ml-auto mr-auto text-center">
                    <br>
                    <img class="img"
                         th:src="@{assets/img/Picture7.png}">
                    <h5 class="description">The online community for foto junkies</h5>
                </div>
            </div>

            <div class="row">
                <div class="col-lg-3 col-md-6">
                    <div class="card card-pricing card-plain">
                        <div class="card-body">
                            <div class="card-icon icon-white ">
                                <a th:href="@{/register}">
                                    <i class="material-icons">login</i>
                                </a>
                            </div>
                            <h3 class="card-title">Register</h3>
<!--                            <p class="card-description">This is good if your company size is between 2 and 10 Persons.</p>-->
                        </div>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6">
                    <div class="card card-pricing card-plain">
                        <div class="card-body">
                            <div class="card-icon icon-white ">
                                <i class="material-icons">add_a_photo</i>
                            </div>
                            <h3 class="card-title">Participate</h3>
<!--                            <p class="card-description">This is good if your company size is between 2 and 10 Persons.</p>-->
                        </div>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6">
                    <div class="card card-pricing card-plain">
                        <div class="card-body">
                            <div class="card-icon icon-white ">
                                <i class="material-icons">emoji_events</i>
                            </div>
                            <h3 class="card-title">Win</h3>
<!--                            <p class="card-description">This is good if your company size is between 11 and 99 Persons.</p>-->
                        </div>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6">
                    <div class="card card-pricing card-plain">
                        <div class="card-body">
                            <div class="card-icon icon-white ">
                                <i class="material-icons">remove_red_eye</i>
                            </div>
                            <h3 class="card-title">Inspire</h3>
<!--                            <p class="card-description">This is good if your company size is 99+ Persons.</p>-->
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="container" th:if="${session.get('currentUser')!=null}">
            <div class="row">
                <div class="col-md-6 ml-auto mr-auto text-center">
                    <img class="img"
                         th:src="@{assets/img/Picture7.png}">
                    <h5 class="description">The Online Community For Foto Junkies</h5>
                </div>

            </div>

            <div class="row">
                <div class="col-lg-4 col-md-6">
                    <div class="card card-pricing card-plain">
                        <div class="card-body">
                            <div class="card-icon icon-white ">
                                <a th:href="@{/regular-dashboard}">
                                    <i class="material-icons">space_dashboard</i>
                                </a>
                            </div>
                            <h3 class="card-title">My Dashboard</h3>
                            <!--                            <p class="card-description">This is good if your company size is between 2 and 10 Persons.</p>-->
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 col-md-6">
                    <div class="card card-pricing card-plain">
                        <div class="card-body">
                            <div class="card-icon icon-white ">
                                <a th:href="@{/updateme}">
                                    <i class="material-icons">manage_accounts</i>
                                </a>
                            </div>
                            <h3 class="card-title">Profile</h3>
                            <!--                            <p class="card-description">This is good if your company size is between 2 and 10 Persons.</p>-->
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 col-md-6">
                    <div class="card card-pricing card-plain">
                        <div class="card-body">
                            <div class="card-icon icon-white ">
                                <a th:href="@{/allcontests}">
                                    <i class="material-icons">add_a_photo</i>
                                </a>
                            </div>
                            <h3 class="card-title">Contests</h3>
                            <!--                            <p class="card-description">This is good if your company size is between 11 and 99 Persons.</p>-->
                        </div>
                    </div>
                </div>
            </div>
        </div>
<!--        <footer class="footer">-->
<!--            <div class="container">-->
<!--                <nav class="float-left">-->
<!--                    <ul>-->
<!--                        <li>-->
<!--                            <a href="https://www.creative-tim.com">-->
<!--                                Creative Tim-->
<!--                            </a>-->
<!--                        </li>-->
<!--                        <li>-->
<!--                            <a href="https://creative-tim.com/presentation">-->
<!--                                About Us-->
<!--                            </a>-->
<!--                        </li>-->
<!--                        <li>-->
<!--                            <a href="http://blog.creative-tim.com">-->
<!--                                Blog-->
<!--                            </a>-->
<!--                        </li>-->
<!--                        <li>-->
<!--                            <a href="https://www.creative-tim.com/license">-->
<!--                                Licenses-->
<!--                            </a>-->
<!--                        </li>-->
<!--                    </ul>-->
<!--                </nav>-->
<!--                <div class="copyright float-right">-->
<!--                    &copy;-->
<!--                    <script>-->
<!--                        document.write(new Date().getFullYear())-->
<!--                    </script>, made with <i class="material-icons">favorite</i> by-->
<!--                    <a href="https://www.creative-tim.com" target="_blank">Creative Tim</a> for a better web.-->
<!--                </div>-->
<!--            </div>-->
<!--        </footer>-->
    </div>
</div>


<!--   Core JS Files   -->
<script src="../static/assets/js/core/jquery.min.js" th:src="@{assets/js/core/jquery.min.js}"></script>
<script src="../static/assets/js/core/popper.min.js" th:src="@{assets/js/core/popper.min.js}"></script>
<script src="../static/assets/js/core/bootstrap-material-design.min.js"
        th:src="@{assets/js/core/bootstrap-material-design.min.js}"></script>
<script src="../static/assets/js/plugins/perfect-scrollbar.jquery.min.js"
        th:src="@{assets/js/plugins/perfect-scrollbar.jquery.min.js}"></script>
<!-- Plugin for the momentJs  -->
<script src="../static/assets/js/plugins/moment.min.js" th:src="@{assets/js/plugins/moment.min.js}"></script>
<!--  Plugin for Sweet Alert -->
<script src="../static/assets/js/plugins/sweetalert2.js" th:src="@{assets/js/plugins/sweetalert2.js}"></script>
<!-- Forms Validations Plugin -->
<script src="../static/assets/js/plugins/jquery.validate.min.js"
        th:src="@{assets/js/plugins/jquery.validate.min.js}"></script>
<!-- Plugin for the Wizard, full documentation here: https://github.com/VinceG/twitter-bootstrap-wizard -->
<script src="../static/assets/js/plugins/jquery.bootstrap-wizard.js"
        th:src="@{assets/js/plugins/jquery.bootstrap-wizard.js}"></script>
<!--	Plugin for Select, full documentation here: http://silviomoreto.github.io/bootstrap-select -->
<script src="../static/assets/js/plugins/bootstrap-selectpicker.js"
        th:src="@{assets/js/plugins/bootstrap-selectpicker.js}"></script>
<!--  Plugin for the DateTimePicker, full documentation here: https://eonasdan.github.io/bootstrap-datetimepicker/ -->
<script src="../static/assets/js/plugins/bootstrap-datetimepicker.min.js"
        th:src="@{assets/js/plugins/bootstrap-datetimepicker.min.js}"></script>
<!--  DataTables.net Plugin, full documentation here: https://datatables.net/  -->
<script src="../static/assets/js/plugins/jquery.dataTables.min.js"
        th:src="@{assets/js/plugins/jquery.dataTables.min.js}"></script>
<!--	Plugin for Tags, full documentation here: https://github.com/bootstrap-tagsinput/bootstrap-tagsinputs  -->
<script src="../static/assets/js/plugins/bootstrap-tagsinput.js"
        th:src="@{assets/js/plugins/bootstrap-tagsinput.js}"></script>
<!-- Plugin for Fileupload, full documentation here: http://www.jasny.net/bootstrap/javascript/#fileinput -->
<script src="../static/assets/js/plugins/jasny-bootstrap.min.js"
        th:src="@{assets/js/plugins/jasny-bootstrap.min.js}"></script>
<!--  Full Calendar Plugin, full documentation here: https://github.com/fullcalendar/fullcalendar    -->
<script src="../static/assets/js/plugins/fullcalendar.min.js"
        th:src="@{assets/js/plugins/fullcalendar.min.js}"></script>
<!-- Vector Map plugin, full documentation here: http://jvectormap.com/documentation/ -->
<script src="../static/assets/js/plugins/jquery-jvectormap.js"
        th:src="@{assets/js/plugins/jquery-jvectormap.js}"></script>
<!--  Plugin for the Sliders, full documentation here: http://refreshless.com/nouislider/ -->
<script src="../static/assets/js/plugins/nouislider.min.js" th:src="@{assets/js/plugins/nouislider.min.js}"></script>
<!-- Include a polyfill for ES6 Promises (optional) for IE11, UC Browser and Android browser support SweetAlert -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/core-js/2.4.1/core.js"></script>
<!-- Library for adding dinamically elements -->
<script src="../static/assets/js/plugins/arrive.min.js" th:src="@{assets/js/plugins/arrive.min.js}"></script>
<!--  Google Maps Plugin    -->
<script src="https://maps.googleapis.com/maps/api/js?key=YOUR_KEY_HERE"></script>
<!-- Chartist JS -->
<script src="../static/assets/js/plugins/chartist.min.js" th:src="@{assets/js/plugins/chartist.min.js}"></script>
<!--  Notifications Plugin    -->
<script src="../static/assets/js/plugins/bootstrap-notify.js"
        th:src="@{assets/js/plugins/bootstrap-notify.js}"></script>
<!-- Control Center for Material Dashboard: parallax effects, scripts for the example pages etc -->
<script src="../static/assets/js/material-dashboard.js?v=2.1.0" type="text/javascript"
        th:src="@{assets/js/material-dashboard.js?v=2.1.0}"></script>
<!-- Material Dashboard DEMO methods, don't include it in your project! -->
<script src="../static/assets/demo/demo.js" th:src="@{assets/demo/demo.js}"></script>
<script>
    $(document).ready(function () {
        $().ready(function () {
            $sidebar = $('.sidebar');

            $sidebar_img_container = $sidebar.find('.sidebar-background');

            $full_page = $('.full-page');

            $sidebar_responsive = $('body > .navbar-collapse');

            window_width = $(window).width();

            fixed_plugin_open = $('.sidebar .sidebar-wrapper .nav li.active a p').html();

            if (window_width > 767 && fixed_plugin_open == 'Dashboard') {
                if ($('.fixed-plugin .dropdown').hasClass('show-dropdown')) {
                    $('.fixed-plugin .dropdown').addClass('open');
                }

            }

            $('.fixed-plugin a').click(function (event) {
                // Alex if we click on switch, stop propagation of the event, so the dropdown will not be hide, otherwise we set the  section active
                if ($(this).hasClass('switch-trigger')) {
                    if (event.stopPropagation) {
                        event.stopPropagation();
                    } else if (window.event) {
                        window.event.cancelBubble = true;
                    }
                }
            });

            $('.fixed-plugin .active-color span').click(function () {
                $full_page_background = $('.full-page-background');

                $(this).siblings().removeClass('active');
                $(this).addClass('active');

                var new_color = $(this).data('color');

                if ($sidebar.length != 0) {
                    $sidebar.attr('data-color', new_color);
                }

                if ($full_page.length != 0) {
                    $full_page.attr('filter-color', new_color);
                }

                if ($sidebar_responsive.length != 0) {
                    $sidebar_responsive.attr('data-color', new_color);
                }
            });

            $('.fixed-plugin .background-color .badge').click(function () {
                $(this).siblings().removeClass('active');
                $(this).addClass('active');

                var new_color = $(this).data('background-color');

                if ($sidebar.length != 0) {
                    $sidebar.attr('data-background-color', new_color);
                }
            });

            $('.fixed-plugin .img-holder').click(function () {
                $full_page_background = $('.full-page-background');

                $(this).parent('li').siblings().removeClass('active');
                $(this).parent('li').addClass('active');


                var new_image = $(this).find("img").attr('src');

                if ($sidebar_img_container.length != 0 && $('.switch-sidebar-image input:checked').length != 0) {
                    $sidebar_img_container.fadeOut('fast', function () {
                        $sidebar_img_container.css('background-image', 'url("' + new_image + '")');
                        $sidebar_img_container.fadeIn('fast');
                    });
                }

                if ($full_page_background.length != 0 && $('.switch-sidebar-image input:checked').length != 0) {
                    var new_image_full_page = $('.fixed-plugin li.active .img-holder').find('img').data('src');

                    $full_page_background.fadeOut('fast', function () {
                        $full_page_background.css('background-image', 'url("' + new_image_full_page + '")');
                        $full_page_background.fadeIn('fast');
                    });
                }

                if ($('.switch-sidebar-image input:checked').length == 0) {
                    var new_image = $('.fixed-plugin li.active .img-holder').find("img").attr('src');
                    var new_image_full_page = $('.fixed-plugin li.active .img-holder').find('img').data('src');

                    $sidebar_img_container.css('background-image', 'url("' + new_image + '")');
                    $full_page_background.css('background-image', 'url("' + new_image_full_page + '")');
                }

                if ($sidebar_responsive.length != 0) {
                    $sidebar_responsive.css('background-image', 'url("' + new_image + '")');
                }
            });

            $('.switch-sidebar-image input').change(function () {
                $full_page_background = $('.full-page-background');

                $input = $(this);

                if ($input.is(':checked')) {
                    if ($sidebar_img_container.length != 0) {
                        $sidebar_img_container.fadeIn('fast');
                        $sidebar.attr('data-image', '#');
                    }

                    if ($full_page_background.length != 0) {
                        $full_page_background.fadeIn('fast');
                        $full_page.attr('data-image', '#');
                    }

                    background_image = true;
                } else {
                    if ($sidebar_img_container.length != 0) {
                        $sidebar.removeAttr('data-image');
                        $sidebar_img_container.fadeOut('fast');
                    }

                    if ($full_page_background.length != 0) {
                        $full_page.removeAttr('data-image', '#');
                        $full_page_background.fadeOut('fast');
                    }

                    background_image = false;
                }
            });

            $('.switch-sidebar-mini input').change(function () {
                $body = $('body');

                $input = $(this);

                if (md.misc.sidebar_mini_active == true) {
                    $('body').removeClass('sidebar-mini');
                    md.misc.sidebar_mini_active = false;

                    $('.sidebar .sidebar-wrapper, .main-panel').perfectScrollbar();

                } else {

                    $('.sidebar .sidebar-wrapper, .main-panel').perfectScrollbar('destroy');

                    setTimeout(function () {
                        $('body').addClass('sidebar-mini');

                        md.misc.sidebar_mini_active = true;
                    }, 300);
                }

                // we simulate the window Resize so the charts will get updated in realtime.
                var simulateWindowResize = setInterval(function () {
                    window.dispatchEvent(new Event('resize'));
                }, 180);

                // we stop the simulation of Window Resize after the animations are completed
                setTimeout(function () {
                    clearInterval(simulateWindowResize);
                }, 1000);
            });
        });
    });
</script>
<script>
    $(document).ready(function () {
        // Javascript method's body can be found in assets/js/demos.js
        md.initDashboardPageCharts();

        md.initVectorMap();

    });
</script>
<script>
    <!-- javascript for init -->
    $('.datetimepicker').datetimepicker({useCurrent: false,
        icons: {
            time: "fa fa-clock-o",
            date: "fa fa-calendar",
            up: "fa fa-chevron-up",
            down: "fa fa-chevron-down",
            previous: 'fa fa-chevron-left',
            next: 'fa fa-chevron-right',
            today: 'fa fa-screenshot',
            clear: 'fa fa-trash',
            close: 'fa fa-remove'
        }
    });
</script>
<script type="text/javascript">
    $(function () {
        $('#datetimepicker6').datetimepicker({useCurrent: false});
        $('#datetimepicker7').datetimepicker({useCurrent: false});
        $("#datetimepicker6").on("dp.change", function (e) {
            $('#datetimepicker7').data("DateTimePicker").minDate(e.date);
        });
        $("#datetimepicker7").on("dp.change", function (e) {
            $('#datetimepicker6').data("DateTimePicker").maxDate(e.date);
        });
    });
</script>
<script type="text/javascript">
    $(function () {
        $('#datetimepicker7').datetimepicker({useCurrent: false});
        $('#datetimepicker8').datetimepicker({useCurrent: false});
        $("#datetimepicker7").on("dp.change", function (e) {
            $('#datetimepicker8').data("DateTimePicker").minDate(e.date);
        });
        $("#datetimepicker8").on("dp.change", function (e) {
            $('#datetimepicker7').data("DateTimePicker").maxDate(e.date);
        });
    });
</script>
</body>
</html>